Skip to main content
`Ctrl`+`K`

# VecScatterDestroy

Destroys a scatter context created by `VecScatterCreate()`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode VecScatterDestroy(VecScatter *sf)

Collective

## Input Parameter

- sf - the scatter context

## See Also

Low-level Vector Communication, `VecScatter`, `VecScatterCreate()`, `VecScatterCopy()`

## Level

intermediate

## Location

src/vec/is/sf/interface/vscat.c

## Examples

src/tao/pde_constrained/tutorials/hyperbolic.c
src/ksp/ksp/tutorials/ex73.c
src/ksp/ksp/tutorials/ex49.c
src/tao/pde_constrained/tutorials/parabolic.c
src/dm/tutorials/ex6.c
src/dm/tutorials/ex14.c
src/tao/pde_constrained/tutorials/elliptic.c
src/tao/constrained/tutorials/ex1.c
src/dm/tutorials/ex22.c
src/ksp/ksp/tutorials/ex43.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages